aboutsummaryrefslogtreecommitdiffstats
path: root/x11/libxcb/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-02-15 11:54:29 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-02-16 07:21:05 +0000
commite63cb64cebc6bad9c511912bfe33a72cb42743c8 (patch)
tree68b4fb2bc8eb72a912c3a0d79538900887636612 /x11/libxcb/APKBUILD
parent8bd29a287e98104263af412415bd5325100c0e44 (diff)
downloadaports-e63cb64cebc6bad9c511912bfe33a72cb42743c8.tar.gz
aports-e63cb64cebc6bad9c511912bfe33a72cb42743c8.tar.bz2
aports-e63cb64cebc6bad9c511912bfe33a72cb42743c8.tar.xz
x11: added libX11 and depends
Diffstat (limited to 'x11/libxcb/APKBUILD')
-rw-r--r--x11/libxcb/APKBUILD21
1 files changed, 21 insertions, 0 deletions
diff --git a/x11/libxcb/APKBUILD b/x11/libxcb/APKBUILD
new file mode 100644
index 0000000000..8e0489190c
--- /dev/null
+++ b/x11/libxcb/APKBUILD
@@ -0,0 +1,21 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=libxcb
+pkgver=1.1.93
+pkgrel=0
+pkgdesc="X11 client-side library"
+url="http://xcb.freedesktop.org/"
+license="custom"
+depends="xcb-proto libXdmcp libXau"
+subpackages="$pkgname-dev $pkgname-doc"
+makedepends="libXdmcp-dev libXau-dev libxslt libpthread-stubs pkgconfig python"
+source="http://xcb.freedesktop.org/dist/$pkgname-$pkgver.tar.bz2
+ "
+build() {
+ cd "$srcdir"/$pkgname-$pkgver
+ ./configure --prefix=/usr \
+ --enable-xinput || return 1
+ make || return 1
+ make DESTDIR="$pkgdir" install || return 1
+ install -Dm644 COPYING "$pkgdir"/usr/share/licenses/$pkgname/COPYING
+}
+md5sums="1e401dd361c38ccaa97a3a835da4caa3 libxcb-1.1.93.tar.bz2"